Skip to main content
GET
Get agent configuration

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

agentId
string
required

Agent ID used to retrieve the configuration.

Response

OK

backgroundBlurSettings
BackgroundBlurSettingsApiModel · object

Configuration for the background display while the agent is on a call. More info.

wrapUpSeconds
integer<int32>

Wrap up length in seconds specific to the agent. Null if not set, in which case account wrap up time should be used. More info.